lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "poker/cli/version"

Gem::Specification.new do |spec|
  spec.name          = "poker-cli"
  spec.version       = Poker::Cli::VERSION
  spec.authors       = ["danielwojnar"]
  spec.email         = ["daniel.wojnar13@gmail.com"]

  spec.summary       = %q{CLI for Poker API.}
  spec.description   = %q{This CLI allows you to connect with POKER API.}
  spec.homepage      = "https://github.com/kayn1/poker-cli"
  spec.license       = "MIT"

  # spec.metadata["homepage_uri"] = spec.homepage
  # spec.metadata["source_code_uri"] = "TODO: Put your gem's public repo URL here."
  # spec.metadata["changelog_uri"] = "TODO: Put your gem's CHANGELOG.md URL here."

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "bin"
  spec.executables   = ['poker']
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.4"
  spec.add_development_dependency "pry", "~> 0.10.4"
end
